package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.MarketExtensionTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;


@Repository
public interface MarketExtensionRepository extends BaseRepository<MarketExtensionTable> {
    @Lock(LockModeType.PESSIMISTIC_WRITE)
    MarketExtensionTable findFirstById(Long id);

    MarketExtensionTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<MarketExtensionTable> findAllByIdIn(List<Long> ids);

    List<MarketExtensionTable> getAllByIdNotIn(List<Long> ids);
}
